<!--
 * @Author: 小明丶
 * @Date: 2019-08-19 15:23:17
 * @LastEditors: 小明丶
 * @LastEditTime: 2020-07-06 10:49:57
 * @Description:
 -->
<template>
    <div class="h-100">
        <router-view></router-view>
        <!-- <van-loading type="spinner" color="white" class="app-loading" v-show="AppLoading"></van-loading> -->
        <van-loading color="white" class="app-loading" v-show="AppLoading"/> 
    </div>
</template>

<script>
import Vue from 'vue';
import { Loading } from 'vant';

Vue.use(Loading);
    import {
        mapState,
        mapActions,
    } from 'vuex';
    
    export default {
        data() {
            return {

            }
        },
        computed:{
            ...mapState(['AppLoading'])
        },
        methods: {
            ...mapActions(['getArea'])
        },
        created() {
            this.getArea();
        },
    }
</script>

<style lang="less" scoped>
    .h-100 {
        height: 100%;
    }


    .app-loading {
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: @zIndex-999;
        background-color: rgba(0, 0, 0, 0.5);
        padding: 30px;
        border-radius: 4px;
    }
</style>
